import axios from '@/utils/request'

const api = {
  test: '/wangxu',
  getToken: '/api/oauth/getTokenByCode',
  getUserId: '/api/contact/v1/account/get_my_info',
  indexSwipe: '/Banner/queryBBannerByPagination',
  Recommend: '/BLesson/queryRecommendByPagination',
  everybody: '/BLesson/queryPersonMoreByPagination',
  concern: '/BLesson/queryConcernByPagination',
  Interested: '/BLesson/queryInterestedByPagination',
  Course: '/BCourse/queryFirstBCourse',
  HomeBLessons: '/BLesson/queryHomeBLessonsByPagination', // 610
  ListAllLesson: '/BLesson/queryListAllLessonByPagination', // 616 更多接口
  BCourse: '/BCourse/queryBCourseByPagination', // 302 分类
  queryBlabels: '/BLabel/queryBlabels', // 505 根据条件查询标签
  /* 章节相关 */
  queryBChaptersWithProgress: '/BChapter/queryBChaptersWithProgress',
  updateProgress: '/brstudentchapter/add',
  getFileUrl: '/BChapter/getFile',
  addLearn: '/BLesson/addMyLearnLesson',
  collectLesson: '/BLesson/collectLesson', // 收藏课程
  cancleCollect: '/BLesson/notCollectLesson', // 取消收藏课程
  ByPagination: '/BLesson/queryBLessonsByPagination', // 604 我发布的课程、培训
  learn: '/BLesson/queryLearnBLessonsByPagination', // 615 我学习的课程
  columnConfiguration: '/bdictionary/columnConfiguration', // 1101 获取总裁读书会跳转链接
  queryMenuById: '/user/queryMenuById', // 菜单连接 706
  closeCurriculum: '/BLesson/close', // 611 关闭课程
  removeCurriculum: '/BLesson/remove', // 602 删除课程
  releaseCurriculum: '/BLesson/release', // 618 发布课程
  findOneMyTrain: '/BLesson/findOneMyTrain', // 我报名的
  findOneMyTeachTrain: '/BLesson/findOneMyTeachTrain', // 讲师
  trainPersonCount: '/BLesson/trainPersonCount', // 培训学员总数
  trainPersons: '/BLesson/trainPersons', // 培训学员头像数据
  exitCourse: '/BLesson/quit', // 退出课程，取消报名
  toTraining: '/BLesson/toTraining', // 报名培训接口
  quitCurriculum: '/BLesson/quit', // 614 退出课程学习
  examination: process.env.VUE_APP_BASE_API3 + '/user/paper/list_mobile', // 在线考试
  examinationContent: process.env.VUE_APP_BASE_API3 + '/user/paper/paper_detail_mobile', // 试卷内容
  examinationTimer: process.env.VUE_APP_BASE_API3 + '/user/paper/get_left_time_mobile', // 试卷内容
  submitPaper: process.env.VUE_APP_BASE_API3 + '/user/paper/submitPaper_mobile', // 提交试卷
  paperDetail: process.env.VUE_APP_BASE_API3 + '/user/paper/history_detail_mobile', // 试卷详情
  signIn: '/BLesson/signIn', // 签到
  MyBMaterial: '/bmaterial/queryMyBMaterialByPagination', // 我的资料 1302
  deleteMore: '/bmaterial/deleteMore', // 我的资料 删除 1303
  add: '/bmaterial/add', // 我的资料 保存到智文 1301
  intergralDetail: '/bpersonvalue/queryPersonValueByPagination', // 我的积分 1603
  getOneLessonDiscuss: '/bdiscuss', // 查询评论
  addCourseDiscuss: '/bdiscuss/add', // 添加评论
  deleteCourseDiscuss: '/bdiscuss/delete', // 删除评论
  getMyInfo: '/user/queryMyInfo', // 获取当前登陆人信息 我的智学 个人中心
  learning: '/BLesson/learning', // 判断是正在学该课程 643
  queryCourse: '/BCourse/queryCourse', // 301 查询课程分类
  imgUpload: process.env.VUE_APP_BASE_API2 + '/api/oss/v1/file/upload', // 美腾方面图片上传接口
  userPublishValue: '/breleasevalue/queryPersonReleaseValue', // 1507 查询用户发布课程、培训积分
  CollectByPagination: '/BLesson/queryCollectByPagination', // 分页查询我关注
  getReadyFileUrl: '/BChapter/getFileAtView', // 预览转换
  submitCourseDetail: '/BLesson/add', // 提交发布课程
  releaseCourse: '/BLesson/release', // 发布课程按钮
  onlyFindBase: '/BLesson/one', // 基本信息显示接口
  getAllRole: 'user/getAllRole', // 获取权限
  pictureReadable: '/bfile/fileReadable', // 图片是否可读 （二进制文件判断法）
  fileReadable: '/BChapter/fileReadable', // 文件是否可读 (链接+类型 判断法)
  judgeVisibleAuthority: '/BLesson/judgeVisibleAuthority' //  判断可见权限(关注）
}

export default api

export function test(params) {
  console.log('test')
  return axios({
    url: api.test,
    method: 'get',
    params: params
  })
}

export function getToken(params) {
  return axios({
    baseURL: '',
    url: process.env.VUE_APP_BASE_API2 + api.getToken,
    method: 'get',
    params: params
  })
}

export function getUserId() {
  return axios({
    baseURL: '',
    url: process.env.VUE_APP_BASE_API2 + api.getUserId,
    method: 'get'
  })
}

// get 请求
export const get = {
  // 首页 轮播图请求
  getSwipe: (params) => {
    return axios({
      url: api.indexSwipe,
      method: 'get',
      params: params
    })
  },
  // 首页 企业推荐请求
  getRecommend: (params) => {
    return axios({
      url: api.Recommend,
      method: 'get',
      params: params
    })
  },
  // 首页 大家都在学 请求
  getEverybody: (params) => {
    return axios({
      url: api.everybody,
      method: 'get',
      params: params
    })
  },
  // 首页 最热关注 请求
  getConcern: (params) => {
    return axios({
      url: api.concern,
      method: 'get',
      params: params
    })
  },
  // 首页 可能感兴趣的 请求
  getInterested: (params) => {
    return axios({
      url: api.Interested,
      method: 'get',
      params: params
    })
  },
  // 首页 tabs列表查询课程 请求
  getHomeBLessons: (params) => {
    return axios({
      url: api.HomeBLessons,
      method: 'get',
      params: params
    })
  },
  // 首页 tabs列表查询课程 请求
  getListAllLesson: (params) => {
    return axios({
      url: api.ListAllLesson,
      method: 'get',
      params: params
    })
  },
  // 分类 请求
  getBCourse: (params) => {
    return axios({
      url: api.BCourse,
      method: 'get',
      params: params
    })
  },
  // 课程查询 筛选条件 标签 请求
  getQueryBlabels: (params) => {
    return axios({
      url: api.queryBlabels,
      method: 'get',
      params: params
    })
  },
  // 我的智学 - 我发布的课程 请求
  getByPagination: (params) => {
    return axios({
      url: api.ByPagination,
      method: 'get',
      params: params
    })
  },
  // 我的智学 - 我学习的课程 请求
  getLearn: (params) => {
    return axios({
      url: api.learn,
      method: 'get',
      params: params
    })
  },
  // 首页 总裁读书会跳转链接 请求
  getColumnConfiguration: (params) => {
    return axios({
      url: api.columnConfiguration,
      method: 'get',
      params: params
    })
  },
  // 菜单、总裁读书会 请求
  getQueryMenuById: (params) => {
    return axios({
      url: api.queryMenuById,
      method: 'get',
      params: params
    })
  },
  // 在线考试 请求
  getExamination: (params) => {
    return axios({
      url: api.examination,
      method: 'get',
      params: params
    })
  },
  // 在线考试 开始考试 试卷内容 请求
  getExaminationContent: (params) => {
    return axios({
      url: api.examinationContent,
      method: 'get',
      params: params
    })
  },
  // 倒计时时间 请求
  getExaminationTimer: (params) => {
    return axios({
      url: api.examinationTimer,
      method: 'get',
      params: params
    })
  },
  // 试卷提交 请求
  getSubmitPaper: (params) => {
    return axios({
      url: api.submitPaper,
      method: 'get',
      params: params
    })
  },
  // 试卷详情 请求
  getPaperDetail: (params) => {
    return axios({
      url: api.paperDetail,
      method: 'get',
      params: params
    })
  },
  // 课程评论
  getLessonDiscuss: (params) => {
    const url = api.getOneLessonDiscuss + '/' + params.lessonId
    delete params.lessonId
    return axios({
      url: url,
      method: 'get',
      params: params
    })
  },
  // 获取当前登录人信息 我的智学 个人中心 请求
  getMyCurInfo: (params) => {
    return axios({
      url: api.getMyInfo,
      method: 'get',
      params: params
    })
  },
  // 我的资料 请求
  getMyBMaterial: (params) => {
    return axios({
      url: api.MyBMaterial,
      method: 'get',
      params: params
    })
  },
  // 我的关注的 请求
  getCollection: (params) => {
    return axios({
      url: api.CollectByPagination,
      method: 'get',
      params: params
    })
  },
  // 我的积分 积分明细 请求
  getIntergralDetail: (params) => {
    return axios({
      url: api.intergralDetail,
      method: 'get',
      params: params
    })
  },
  // 判断是正在学该课程 请求
  getLearning: (params) => {
    return axios({
      url: api.learning,
      method: 'get',
      params: params
    })
  },
  // 判断是正在学该课程 请求
  getUserPublishValue: (params) => {
    return axios({
      url: api.userPublishValue,
      method: 'get',
      params: params
    })
  },
  getReadyUrl: (params) => {
    return axios({
      url: process.env.VUE_APP_BASE_API5 + api.getReadyFileUrl,
      method: 'get',
      params: params
    })
  }
}
// post 请求
export const post = {
  // 首页 课程一级分类 请求 （tabs）
  getCourse: (params) => {
    return axios({
      url: api.Course,
      method: 'post',
      params: params
    })
  },
  // 我的智学 我发布的课程 关闭课程 请求
  postCloseCurriculum: (params) => {
    return axios({
      url: api.closeCurriculum,
      method: 'post',
      params: params
    })
  },
  // 我的智学 我发布的课程 删除课程 请求
  postRemoveCurriculum: (params) => {
    return axios({
      url: api.removeCurriculum,
      method: 'post',
      params: params
    })
  },
  // 我的智学 我发布的课程 重新发布课程 请求
  postReleaseCurriculum: (params) => {
    return axios({
      url: api.releaseCurriculum,
      method: 'post',
      params: params
    })
  },
  // 我的智学 我学习的课程 退出课程学习 请求
  postQuitCurriculum: (params) => {
    return axios({
      url: api.quitCurriculum,
      method: 'post',
      params: params
    })
  },
  // 添加评论请求
  addCourseDiscuss: (params) => {
    return axios({
      url: api.addCourseDiscuss,
      method: 'post',
      params: params
    })
  },
  deleteCourseDiscuss: (params) => {
    const url = api.deleteCourseDiscuss + '/' + params.businessId
    delete params.businessId
    return axios({
      url: url,
      method: 'post',
      params: params
    })
  },
  // 我的智学 我的资料 删除 请求
  postDeleteMore: (params) => {
    return axios({
      url: api.deleteMore,
      method: 'post',
      params: params
    })
  },
  // 我的智学 我的资料 存到智文 请求
  postAdd: (params) => {
    return axios({
      url: api.add,
      method: 'post',
      params: params
    })
  },
  // 新建培训  查询分类
  postQueryCourse: (params) => {
    return axios({
      url: api.queryCourse,
      method: 'post',
      params: params
    })
  },
  // 新建培训  图片上传
  postImgUpload: (data) => {
    return axios({
      baseURL: '',
      url: api.imgUpload,
      method: 'post',
      data
    })
  },
  judgeVisibleAuthority: (data) => {
    return axios({
      url: api.judgeVisibleAuthority,
      method: 'post',
      data
    })
  }
}

export function getChapters(params) {
  const temp = window.location.href.indexOf('CourseTrainOut') > -1 ? process.env.VUE_APP_BASE_API5 : ''
  return axios({
    url: temp + api.queryBChaptersWithProgress,
    method: 'get',
    params
  })
}

export function addLearnLesson(data) {
  const temp = window.location.href.indexOf('CourseTrainOut') > -1 ? process.env.VUE_APP_BASE_API5 : ''
  return axios({
    url: temp + api.addLearn,
    method: 'post',
    data
  })
}
export function submitCourseDetail(data) {
  return axios({
    url: api.submitCourseDetail,
    method: 'post',
    data
  })
}
export function releaseCourse(data) {
  return axios({
    url: api.releaseCourse,
    method: 'post',
    data
  })
}

export function getFileUrl(params) {
  const temp = window.location.href.indexOf('CourseTrainOut') > -1 ? process.env.VUE_APP_BASE_API5 : ''
  return axios({
    url: temp + api.getFileUrl,
    method: 'get',
    params
  })
}

export function updateProgress(data) {
  const temp = window.location.href.indexOf('CourseTrainOut') > -1 ? process.env.VUE_APP_BASE_API5 : ''
  return axios({
    url: temp + api.updateProgress,
    method: 'post',
    data
  })
}

export function toFollow(params) {
  const temp = window.location.href.indexOf('CourseTrainOut') > -1 ? process.env.VUE_APP_BASE_API5 : ''
  return axios({
    url: temp + api.collectLesson,
    method: 'get',
    params
  })
}

export function cancleFollow(params) {
  const temp = window.location.href.indexOf('CourseTrainOut') > -1 ? process.env.VUE_APP_BASE_API5 : ''
  return axios({
    url: temp + api.cancleCollect,
    method: 'get',
    params
  })
}
export function findOneMyTrain(params) {
  return axios({
    url: '' + api.findOneMyTrain,
    method: 'get',
    params
  })
}
export function findOneMyTeachTrain(params) {
  return axios({
    url: '' + api.findOneMyTeachTrain,
    method: 'get',
    params
  })
}
export function trainPersonCount(params) {
  return axios({
    url: '' + api.trainPersonCount,
    method: 'get',
    params
  })
}
export function trainPersons(params) {
  return axios({
    url: '' + api.trainPersons,
    method: 'get',
    params
  })
}
export function toTraining(params) {
  return axios({
    url: '' + api.toTraining,
    method: 'get',
    params
  })
}
export function exitCourse(data) {
  return axios({
    url: '' + api.exitCourse,
    method: 'post',
    data
  })
}
export function signIn(data) {
  return axios({
    url: '' + api.signIn,
    method: 'post',
    data
  })
}
export function pictureReadable(data) {
  return axios({
    url: '' + api.pictureReadable,
    method: 'post',
    data
  })
}
export function fileReadable(data) {
  return axios({
    url: api.fileReadable,
    method: 'get',
    params: data
  })
}
export function onlyFindBase(data) {
  return axios({
    url: '' + api.onlyFindBase,
    method: 'get',
    params: data
  })
}
export function getAllRole(data) {
  return axios({
    url: '' + api.getAllRole,
    method: 'get',
    params: data
  })
}
