# 组织架构说明文档
### 1，主要实现功能
- 单选多选
- 仅选人
- 仅选部门
- 选择人和部门
- 选人（选择部门展示部门所有人）
- 搜索（仅支持搜索人员）
- 面包屑导航
- 根据部门ID选择某部门下的人员
- 传入特殊人员供用户选择
- 禁止选择条目
### 2，参数说明
- getData

```
//对象,默认数据
getData: {
  type: Object,
  default: () => {
    return {
      openDialog: false, //打开弹窗
      title: "选择部门或人员",  //弹窗标题
      titleInfo: "(可多选)", //弹窗副标题
      currentDeptId:"",  //当前部门id（用于指定部门选择成员）
      allselectedData: [],  //当前已选中成员
      selectType: "peopleAndDept", 
      //"deptForPeople"  选人（选择部门展示部门所有人）,
      //"peopleOnly"  仅选人 
      //"deptOnly"  仅选部门
      //"peopleAndDept" 选择人和部门
    }
  }
}

```
- isOnlyDeptUser 布尔-默认值false，true：选择指定部门成员（此时需传getData的currentDeptId字段），false：正常选择组织架构成员
- isSearchable  布尔-默认值true，是否展示搜索框
- isShowBread 布尔-默认值true，是否展示面包屑导航
- isRadio 布尔-默认值false ，是否是单选
- isSpecial 布尔-默认值false， 是否是特殊人员的选择（值为true时，需传入specialMember，目前适用于指定群成员选择群主）
- specialMember 数组，传入的供选择的特殊人员
- disabledItems 数组，传入禁止选择的项

### 3，示例

```
<organization :get-data="organizationData"  @closeDialog="closeDialog"  @getPeopleDialoResult="getPeopleDialoResult"></organization>

<!--
    organizationData 默认传入的数据（
        this.organizationData = {
            title: "选择人员",
            titleInfo: "",
            openDialog: true,
            selectType: "peopleOnly",
            allselectedData: [...arr]
          }
        ）
    closeDialog关闭组织架构弹窗
    getPeopleDialoResult得到选择的结果返回一个类型为数组的参数
-->

```
