import request from '@/utils/request'

export default{
  /**
   * 根据部门获取部门的子部门和用户分页查询
   * @param {this} that
   * @param {Object} postData {corpId,pid,pageNum,pageSize}
   */
  getDeptUser (data, url = '/api/contact/v1/dept/sub_dept_user_pagelist') {
    console.log(data, 'getDeptUser')
    return request(
      {
        baseURL: process.env.VUE_APP_BASE_API2,
        method: 'get',
        faceName: 'contact',
        url: url,
        params: data
      }
    )
      .then(res => {
        return res
      })
      .catch(error => {
        if (error.status !== 200) {
          this.$message({
            type: 'error',
            message: '无法获取部门信息',
            duration: 0,
            showClose: true
          })
        }
        return Promise.reject(error)
      })
  },
  /**
   * 通过部门级联查询企业用户列表且包含子部门用户(支持分页)
   * @param {this} that
   * @param {Object} postData {corpId,deptId,pageNum,pageSize}
   */
  getUserCascade (data) {
    console.log(data, 'getUserCascade')
    return request(
      {
        baseURL: process.env.VUE_APP_BASE_API2,
        method: 'get',
        faceName: 'contact',
        url: '/api/contact/v1/user/pagelist_by_dept_cascade',
        data: data
      }
    )
      .then(res => {
        return res
      })
      .catch(error => {
        if (error.status !== 200) {
          this.$message({
            type: 'error',
            message: '获取部门人员失败',
            duration: 0,
            showClose: true
          })
        }
        return Promise.reject(error)
      })
  },
  SearchPeople (data, url = '/api/contact/v1/user/list_user_info_by_name') {
    console.log(data, 'getDeptUser')
    return request(
      {
        baseURL: process.env.VUE_APP_BASE_API2,
        method: 'get',
        faceName: 'contact',
        url: url,
        params: data
      }
    )
      .then(res => {
        return res
      })
      .catch(error => {
        if (error.status !== 200) {
          this.$message({
            type: 'error',
            message: '无法获取部门信息',
            duration: 0,
            showClose: true
          })
        }
        return Promise.reject(error)
      })
  }
}
