// import Home from '@/views/Home/index'

/**
 * 基础路由
 * @type { *[] }
 */
export const defaultRoutes = [
  // 首页
  {
    path: '/',
    name: 'Home',
    component: (resolve) => require(['@/views/Home'], resolve)
  },
  // 更多
  {
    path: '/more',
    name: 'More',
    component: (resolve) => require(['@/views/More'], resolve)
  },
  {
    path: '/courseDetail',
    name: 'CourseDetail',
    component: (resolve) => require(['@/views/CourseDetail'], resolve)
  },
  {
    path: '/CourseTrainOut',
    name: 'CourseTrainOut',
    component: (resolve) => require(['@/views/CourseDetail'], resolve)
  },
  {
    path: '/trainDetail',
    name: 'TrainDetail',
    component: (resolve) => require(['@/views/TrainDetail'], resolve)
  },
  // 签到结果页
  {
    path: '/TrainSign',
    name: 'TrainSign',
    component: (resolve) => require(['@/views/TrainDetail/TrainSign.vue'], resolve)
  },
  // 签到二维码
  {
    path: '/SignCode',
    name: 'SignCode',
    component: (resolve) => require(['@/views/TrainDetail/SignCode.vue'], resolve)
  },
  // 筛选 分类
  {
    path: '/classification',
    name: 'Classification',
    component: (resolve) => require(['@/views/classification'], resolve)
  },
  // 筛选 分类 结果
  {
    path: '/classificationResult',
    name: 'ClassificationResult',
    component: (resolve) => require(['@/views/classification/classificationResult'], resolve)
  },
  // 我的智学
  {
    path: '/personalCenter',
    name: 'PersonalCenter',
    component: (resolve) => require(['@/views/PersonalCenter'], resolve)
  },
  // 我的智学-我发布的课程
  {
    path: '/IReleasedCurriculum',
    name: 'IReleasedCurriculum',
    component: (resolve) => require(['@/views/PersonalCenter/IReleasedCurriculum'], resolve)
  },
  // 我的智学-我学习的课程
  {
    path: '/ILearnedCurriculum',
    name: 'ILearnedCurriculum',
    component: (resolve) => require(['@/views/PersonalCenter/ILearnedCurriculum'], resolve)
  },
  // 我的智学-我发布的培训
  {
    path: '/IReleasedTrain',
    name: 'IReleasedTrain',
    component: (resolve) => require(['@/views/PersonalCenter/IReleasedTrain'], resolve)
  },
  // 我的智学-我报名的培训
  {
    path: '/ISignUpTrain',
    name: 'ISignUpTrain',
    component: (resolve) => require(['@/views/PersonalCenter/ISignUpTrain'], resolve)
  },
  // 总裁读书会
  {
    path: '/zcdsh',
    name: 'Zcdsh',
    component: (resolve) => require(['@/views/zcdsh'], resolve)
  },
  // 我的资料
  {
    path: '/MyInformation',
    name: 'MyInformation',
    component: (resolve) => require(['@/views/MyInformation'], resolve)
  },
  // 我的关注
  {
    path: '/MyFollow',
    name: 'MyFollow',
    component: (resolve) => require(['@/views/MyFollow'], resolve)
  },
  // 在线考试 首页
  {
    path: '/onlineExamination',
    name: 'OnlineExamination',
    component: (resolve) => require(['@/views/OnlineExamination'], resolve)
  },
  // 答题页
  {
    path: '/startExamination',
    name: 'StartExamination',
    component: () => import('@/views/OnlineExamination/startExamination')
  },
  // 试卷详情页
  {
    path: '/paperDetail',
    name: 'PaperDetail',
    component: (resolve) => require(['@/views/OnlineExamination/paperDetail'], resolve)
  },
  {
    path: '/example',
    name: 'example',
    component: () => import(/* webpackChunkName: "example" */ '@/views/Example.vue')
  },
  // 签到
  {
    path: '/sign',
    name: 'Sign',
    component: (resolve) => require(['@/views/Sign/signIn'], resolve)
  },
  // 积分明细
  {
    path: '/integralDetail',
    name: 'IntegralDetail',
    component: (resolve) => require(['@/views/PersonalCenter/IntegralDetail'], resolve)
  },
  // 新建培训
  {
    path: '/addTrain',
    name: 'AddTrain',
    component: (resolve) => require(['@/views/addTrain'], resolve)
  }
]
