import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import Storage from 'vue-ls'
import {sessionOptions, localOptions} from './config/vue-ls.config'
import * as _ from 'lodash'
import 'vant/lib/icon/local.css'
import {ActionSheet, Loading, Slider, Overlay, PullRefresh, Field, Image, Toast, Dialog, Search} from 'vant'
import wnsdk from '@tjmt/wnsdk'
import {curriculumTrainRouter, setgoindex} from './utils'
import './assets/style/resetui.less'

// 定义全局过滤器
import './utils/filters'
import './permission' // permission control

// 引入 Vue-ls`
// this.$ls Vue.ls
Vue.use(Storage, sessionOptions)
// this.$localStorage Vue.localStorage
Vue.use(Object.assign({}, Storage), localOptions)

// 引入 Vant 组件
Vue.use(Toast)
Vue.use(Dialog)
Vue.use(Image)
Vue.use(Field)
Vue.use(PullRefresh)
Vue.use(Overlay)
Vue.use(Slider)
Vue.use(Loading)
Vue.use(ActionSheet)
Vue.use(Search)
Vue.config.productionTip = false
// 定义线上课程 线下培训 跳转方法
Vue.prototype.$curriculumTrainRouter = curriculumTrainRouter
// 判断当前页面的历史记录是不是小于等于1
Vue.prototype.$setgoindex = setgoindex
Vue.prototype._ = _
Vue.prototype.$wnsdk = wnsdk

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
