import router from '@/router'
import {getUrlParam} from '@/utils'
import {getToken, getUserId} from '@/api/test'
import store from '@/store'

const whiteList = ['/CourseTrainOut', '/CourseTrainOutPotal'] // 不重定向白名单
function getButtons() {
  if (store.state.buttons == null) {
    store.dispatch('GetButtonInfo').then(res => { // 拉取用户信息
      console.log('butonInfo is ok')
    }).catch((err) => {
      console.log(err)
    })
  } else {
    console.log('butonInfo is already')
  }
}
router.beforeEach((to, from, next) => {
  if (whiteList.indexOf(to.path) !== -1) {
    next()
  } else {
    const userCode = getUrlParam('userCode'),
      corpId = getUrlParam('corpId'),
      data = {
        code: userCode || sessionStorage.getItem('userCode')
      }
    corpId && sessionStorage.setItem('corpId', corpId)
    userCode && sessionStorage.setItem('userCode', userCode)
    console.log('总体链接：' + window.location.href)
    if (userCode || sessionStorage.getItem('userCode')) {
      if (from.name !== null) {
        getButtons()
        next()
      } else {
        getToken(data).then(res => {
          localStorage.setItem('task_accessToken', res.data.data.access_token)
          localStorage.setItem('task_refreshToken', res.data.data.refresh_token)
          getUserId(data).then(res2 => {
            const corUsers = res2.data.data.corpUsers // 存取用户信息的数组；
            let targetUserId = ''
            for (const i in corUsers) {
              if (corUsers[i].corpId === corpId) {
                targetUserId = corUsers[i].id
                break
              }
            }
            sessionStorage.setItem('userId', targetUserId)
            getButtons()
            next()
          })
        })
      }
    } else {
      console.log('url中未找到userCode')
      // sessionStorage.setItem('corpId', '6')
      // sessionStorage.setItem('userId', '1042237477509636097')
      getButtons()
      next()
    }
  }
})
