import Vue from 'vue'
import Vuex from 'vuex'
import example from './modules/example'
import {getAllRole} from '@/api/test'

Vue.use(Vuex)

export default new Vuex.Store({
  modules: {
    example
  },
  state: {
    buttons: null // 按钮信息
  },
  getters: {
    buttons: state => (id) => {
      return (state.buttons.indexOf(id) > -1)
    }
  },
  mutations: {
  // 保存按钮权限数据
    SET_BUTTONS: (state, buttons) => {
      state.buttons = buttons
    }
  },
  actions: {
    // 获取权限信息
    GetButtonInfo({commit, state}) {
      return new Promise((resolve, reject) => {
        getAllRole({}).then(res => {
          const response = res.data
          if (response.code === 200) {
            if (typeof (response.data) !== 'string') {
              commit('SET_BUTTONS', '')
            } else {
              commit('SET_BUTTONS', response.data)
            }
          } else {
            reject(new Error(`GetButtonInfo:  ${response.message}`))
          }
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    }
  }
})
